<template>
	<web-view :src="web" allow="fullscreen"></web-view>
</template>

<style>
</style>

<script>
	export default {
		data() {
			return {
				web: ''
			}
		},
		onLoad() {
			this.web = decodeURIComponent(this.opn.web);
			var app = getApp();
			// #ifdef APP-PLUS
			setTimeout(() => {
				var currentWebview = this.$scope.$getAppWebview();
				var wv = currentWebview.children()[0];
				var top = this.header_statusbar_height + this.header_title_height;
				wv.setStyle({
					top: top,
					height: app.globalData._sysinfo.screenHeight - top
				});
				this.name = wv.getTitle();
			}, 500);
			// #endif
		},
		methods: {}
	}
</script>